Namespace UTSModule.Test.Command.UtsComPortCommand
    Public Class UtsComPortCommandManager
        Public Shared Function CreateExecutor(command As TestCommand) As TestCommandExecutor
            Dim executor As TestCommandExecutor
            Select Case command.Name
                Case "UTS_Write_Text"
                    executor = New UtsWriteTextExecutor(command)
               ' Case "UTS_Read_Text"

                Case "UTS_WR_Text_String"
                    executor = New UtsWrTextStringExecutor(command)
                Case "UTS_WR_Text_Integer"
                    executor = New UtsWrTextIntegerExecutor(command)
                Case "UTS_WR_Text_Double"
                    executor = New UtsWrTextDoubleExecutor(command)
                Case "UTS_WR_Text_Byte"
                    executor = New UtsWrTextBytesExecutor(command)
                Case Else
                    Throw New Exception($"UtsComPort集,未知命令 ：{command.Name}")
            End Select
            Return executor
        End Function
    End Class
End Namespace